Skip to content

# Interface: RouteParams

The collection of the dynamic parts of a URI which initiated a `lens://` protocol request

## Hierarchy

- RouteParams

## Index

### Properties

- pathname
- search
- tail

## Properties

### pathname

• pathname: Record‹string, string›

Defined in src/extensions/registries/protocol-handler-registry.ts:23

the matching parts of the path. The dynamic parts of the URI path.

### search

• search: Record‹string, string›

Defined in src/extensions/registries/protocol-handler-registry.ts:18

the parts of the URI query string

### `Optional` tail

• tail? : string

Defined in src/extensions/registries/protocol-handler-registry.ts:35

if the most specific path schema that is matched does not cover the whole of the URI's path. Then this field will be set to the remaining path segments.

Example:

If the path schema `/landing/:type` is the matched schema for the URI `/landing/soft/easy` then this field will be set to `"/easy"`.